errori nei repository

5 risposte [Ultimo contenuto]
Ritratto di fra77
fra77
(Junior)
Offline
Junior
Iscritto: 10/10/2014
Messaggi: 6

buongiorno a tutti scusate il problema sicuramente banale, ma sono un novellino di linux e ancor di più di debian, ho fatto varie ricerche ma non riesco a risolvere, e non vorrei creare altri problemi! questo é ciò che mi restituisce apt-get update:

zucc@debian:~$ su
Password: 
root@debian:/home/zucc# apt-get update
Trovato http://ftp.it.debian.org wheezy Release.gpg
Trovato http://security.debian.org wheezy/updates Release.gpg
Trovato http://ftp.it.debian.org wheezy-updates Release.gpg
Trovato http://security.debian.org wheezy/updates Release
Trovato http://ftp.it.debian.org wheezy Release                         
Trovato http://security.debian.org wheezy/updates/main Sources             
Trovato http://ftp.it.debian.org wheezy-updates Release                    
Trovato http://ftp.it.debian.org wheezy/main Sources                           
Trovato http://ftp.it.debian.org wheezy/main amd64 Packages                    
Trovato http://ftp.it.debian.org wheezy/main i386 Packages                     
Trovato http://ftp.it.debian.org wheezy-updates/main Sources                   
Trovato http://ftp.it.debian.org wheezy-updates/main amd64 Packages/DiffIndex  
Trovato http://ftp.it.debian.org wheezy-updates/main i386 Packages/DiffIndex   
Trovato http://ftp.it.debian.org wheezy-updates/main Translation-en/DiffIndex  
Trovato http://security.debian.org wheezy/updates/main amd64 Packages          
Ign http://ftp.it.debian.org wheezy/contrib Translation-en                     
Ign http://ftp.it.debian.org wheezy/main Translation-it                  
Ign http://ftp.it.debian.org wheezy/main Translation-en                  
Ign http://ftp.it.debian.org wheezy/non-free Translation-en              
Err http://ftp.it.debian.org wheezy/contrib amd64 Packages               
  404  Not Found
Err http://ftp.it.debian.org wheezy/non-free amd64 Packages              
  404  Not Found
Trovato http://security.debian.org wheezy/updates/contrib amd64 Packages 
Err http://ftp.it.debian.org wheezy/contrib i386 Packages                
  404  Not Found
Err http://ftp.it.debian.org wheezy/non-free i386 Packages               
  404  Not Found
Trovato http://security.debian.org wheezy/updates/non-free amd64 Packages
Trovato http://security.debian.org wheezy/updates/main i386 Packages
Trovato http://security.debian.org wheezy/updates/contrib i386 Packages
Trovato http://security.debian.org wheezy/updates/non-free i386 Packages
Trovato http://security.debian.org wheezy/updates/contrib Translation-en
Trovato http://security.debian.org wheezy/updates/main Translation-en
Trovato http://security.debian.org wheezy/updates/non-free Translation-en
W: Impossibile recuperare http://ftp.it.debian.org/debian/dists/wheezy/contrib/binary-amd64/Packages  404  Not Found
 
W: Impossibile recuperare http://ftp.it.debian.org/debian/dists/wheezy/non-free/binary-amd64/Packages  404  Not Found
 
W: Impossibile recuperare http://ftp.it.debian.org/debian/dists/wheezy/contrib/binary-i386/Packages  404  Not Found
 
W: Impossibile recuperare http://ftp.it.debian.org/debian/dists/wheezy/non-free/binary-i386/Packages  404  Not Found
 
E: Impossibile scaricare alcuni file di indice: saranno ignorati o verranno usati quelli vecchi.
root@debian:/home/zucc# 

qesto invece con gedit /etc/apt/sources.list
# deb cdrom:[Debian GNU/Linux 7.6.0 _Wheezy_ - Official amd64 NETINST Binary-1 20140712-14:09]/ wheezy main 
 
# deb cdrom:[Debian GNU/Linux 7.6.0 _Wheezy_ - Official amd64 NETINST Binary-1 20140712-14:09]/ wheezy main 
 
deb http://ftp.it.debian.org/debian/ wheezy main contrib non-free 
deb-src http://ftp.it.debian.org/debian/ wheezy main 
 
deb http://security.debian.org/ wheezy/updates main contrib non-free 
deb-src http://security.debian.org/ wheezy/updates main 
 
# wheezy-updates, previously known as 'volatile'
deb http://ftp.it.debian.org/debian/ wheezy-updates main 
deb-src http://ftp.it.debian.org/debian/ wheezy-updates main 

detto questo non credo di aver fatto niente di strano, l'unico programma "estraneo" installato è skype.
cio che non capisco è se devo aggiungere questi repository che non vengono trovati o che altro..
abbiate pazienza e grazie in anticipo

Ritratto di Claudio
Claudio
(Guru)
Offline
Guru
Iscritto: 05/09/2007
Messaggi: 1106

Non ti preoccupare. A volte capita che un server non risponda per un certo periodo di tempo. L'unica cosa è aspettare. Vedrai che entro qualche ora non avrai più problemi. Anzi: nel momento in cui ti scrivo, io non riscontro nulla anche se ho testing.

Notebook Hp Pavilvion dv6 i5 amd64, 4 GB Ram, scheda grafica nVidia Corporation GT216 [GeForce GT 320M] (rev a2)
Notebook Acer Asprire 5755G amd64, 8 GB Ram, scheda grafica nVidia GeForce GT 540M
Debian testing kde

Ritratto di fra77
fra77
(Junior)
Offline
Junior
Iscritto: 10/10/2014
Messaggi: 6

a dire il vero è parecchio tempo che è così e che ricevo notifiche di errore negli aggiornamenti, solo che prima di postare ho provato a risolvere e non ho molto tempo a disposizione! temo di non riuscire ad aggiornare bene e in effetti ho qualche piccolo malfunzionamento

Ritratto di fra77
fra77
(Junior)
Offline
Junior
Iscritto: 10/10/2014
Messaggi: 6

ho provato a ricontrollare più volte ma mi sembra che i repository siano stati srcitti correttamente.. non capisco

Ritratto di Claudio
Claudio
(Guru)
Offline
Guru
Iscritto: 05/09/2007
Messaggi: 1106

Ok, allora fai così
1) Commenta le righe in questione anteponendo davanti a loro il simbolo #;
2) Salva ed esci;
3) Dai l'update;
4) Decommenta le righe precedenti;
5) Salva ed esci;
6) Dai nuovamente l'update

Notebook Hp Pavilvion dv6 i5 amd64, 4 GB Ram, scheda grafica nVidia Corporation GT216 [GeForce GT 320M] (rev a2)
Notebook Acer Asprire 5755G amd64, 8 GB Ram, scheda grafica nVidia GeForce GT 540M
Debian testing kde

Ritratto di mandian
mandian
(Geek)
Offline
Geek
Iscritto: 16/05/2011
Messaggi: 129

Prova a commentare per prime le righe che iniziano con deb-src. Si tratta dei repo ai pacchetti sorgenti e, a meno che tu non sia uno sviluppatore e compili i pacchetti Debian da te, prorpio non ti servono.

ciao,
mandian